
using System;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Collections;
using System.Collections.Generic;

using Legalsoft.Workflow.Application;

public partial class _Include_Timeline : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Response.ContentType = "text/html;charset=UTF-8";
        int id = 0;
        if (Request["id"] != null) id = Int32.Parse(Request["id"].ToString());
        try
        {
            string memo = Networks.Download(Baby.RemoteUrl + "flow/timeline/" + id, Baby.EncoderName, 30);
            memo = memo.Replace("/images/", Baby.RemoteUrl.Replace("/api/v1/", "") + "/images/");
            Response.Write(memo);
        }
        catch (Exception ex)
        {
            Response.Write("[Timeline.aspx]" + ex.Message);
        }
    }
}
